# MaxAxe

## Add throwing and melee secondary attacks to Axes. Throw knives. Stack throwing weapons.

- Ever wonder why a Viking's axe (of all things) wouldn't be a weapon of choice?
- MaxAxe adds throwing and melee secondary attacks to Axes, an additional secondary throwing attack for Knives and secondary melee attack for Spears
- Axe secondary attacks now put it on par with other weapons with strong secondary attacks, like maces and swords.
- Toggle between melee and throwing attacks with a key press.
- Optionally stack throwable weapons (see CAUTION below) - up to 2 Axes, a 'quiver' of 3 Spears, and a 'sheath' of 5 Knives per slot.
- MaxAxe automatically equips a backup weapon if you've thrown your last axe, spear or knife, so you're never fumbling to find another weapon in combat.


## Configuration

### General

- **MeleeAttack**: If True, uses the melee secondary attack. Toggle in-game using the _ToggleMeleeAttack_ key.
- **ToggleMeleeAttack**: Press this key to toggle in-game between Throw and Melee mode for enabled Axe, Spear and Knife secondary attacks.
- **EnableAxes**: Set to True to enable secondary melee and throwing attacks for one-handed axes.
- **EnableSpears**: Set to True to enable secondary melee attack for spears.
- **EnableKnives**: Set to True to enable secondary throwing attacks for knives.
- **StackableWeapons**: Set to True to allow throwable weapons to stack. CAUTION! see Stackable Weapons below before enabling this. Cannot be changed in-game.


### Utility

- **LogLevel**: Controls the level of information in the log

### In-game reconfiguration

You can use Configuration Manager (or similar) mod to change the configuration without exiting the game, and force a configuration update from the chat window (press Enter) then type:

	/maxaxe config
   
Note that changes to _StackableWeapons_ will not take place until the game is restarted.
    
You can also change the setting to enable axes, spears, and knives using this syntax:

	/maxaxe enableaxes=true

### Compatibility issues & defects

- There's a 'glitch' if you pick up a thrown weapon after a backup has already been equipped, the thrown weapon will still be highlighted 'blue', as if it were still equipped (even though it's not). I'm trying to track this one down.
- This is the first release of this mod, and while it's been tested as thoroughly as possible, it 'juggles' a number of things to turn normal weapons into their throwing counterparts. Please be patient if you find a bug. If you have issues with throwing items, you can set and leave MeleeAttack to True, and still use the Axe secondary melee attack.

- If you find a compatibility issue you can post it on NexusMods. Be sure to include the mod name and version you think may be incompatible.
- If you have a bug please report it on NexusMods. If you do post a bug report, please make sure to include the following:
    - Your version of this mod
    - What you were doing, or attempting to do when it happened
    - If it's repeatable - i.e., can you duplicate it?
    - The exact behavior you observed (or didn't observe)
    - If possible, a capture of the log file with errors (errors always begin with this mod's name)


### Stackable Weapons

**CAUTION**: READ BEFORE ENABLING STACKABLE WEAPONS

If you set _StackableWeapons_ to 'true', one-handed axes, knives, and spears will stack in inventory - both player and in chests.
If you stack weapons, then later disable _StackableWeapons_ or uninstall MaxAxe, any weapon stacks will be lost, with only one weapon remaining in a slot in your player inventory.

  Split weapon stacks into individual weapons BEFORE you disable _StackableWeapons_ or uninstall MaxAxe   

If you've added stacked weapons to chests and disabled _StackableWeapons_, you should still be able to re-enable AxeMax and retrieve them. Sorry, but this doesn't work for player inventory. To recover, you will need to exit the game, copy your last player backup (yourCharacter.fch.old) to the current character file, and reinstall AxeMax or re-enable _StackableWeapons_ BEFORE restarting the game.

Notes

- The axe secondary melee attack uses a sweeping overhead slash
- The spear secondary melee attack uses a powerful spear 'thrust'. Unfortunately the spear is pointed in the wrong direction(!), so this is done with the spear's butt. Technically, this damage should be blunt, but right now it's still pierce. Looking into options.
- It can be difficult to find thrown weapons, particularly in the forest. They can fly farther than you think. Also searching at night helps.

- Shameless plugs for other mods (mirror on Thunderstore):
    - WolfPack: Control all your tame creatures at once! https://www.nexusmods.com/valheim/mods/1549/
    - RequipMe: Instantly re-equip your best gear from your tombstone! https://www.nexusmods.com/valheim/mods/1615
    - Reely SpecTackleLure: Fishing skill, craftable equipment, fishing aids and deep-sea danger... https://www.nexusmods.com/valheim/mods/1655
    - UnRemove: Restore your destroyed pieces without rebuilding them. https://www.nexusmods.com/valheim/mods/1676
    
- Your comments and feedback are always welcome. Please feel free to post or send a note on NexusMods.